Bug 194595 - Wrong numerical package used
Summary: Wrong numerical package used
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: python-matplotlib   
(Show other bugs)
Version: 5
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-14 09:46 UTC by Luca Citi
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 15:50:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Luca Citi 2006-06-14 09:46:41 UTC
Description of problem:
I had python-matplotlib and numpy installed but running easy examples, e.g.
http://matplotlib.sourceforge.net/screenshots/simple_plot.py, I got no error but
a erraneous plots.
I found the solution and it is to download the
http://matplotlib.sourceforge.net/matplotlibrc file and save it in ~/.matplotlib/
This file has a line that sets the numerix component to numpy instead of the
default one.
I think the matplotlib package should check which numerical package (numpy,
Numeric or numarray) is currently installed and set the numerix entry in the
matplotlibrc file accordingly.
Thank you,
Luca

Version-Release number of selected component (if applicable):
rpm -q python-matplotlib numpy
python-matplotlib-0.87.2-2.fc5
numpy-0.9.6-1.fc5

How reproducible:
always

Comment 1 Orion Poplawski 2006-07-05 15:50:21 UTC
I don't see any problem simple_plot.py on my FC5 box.

matplotlib can use any of python-numeric, numpy, or python-numarray.  Currently
it defaults to python-numeric.  Someday it may default to numpy, but I'm not
going to make assumptions about what numeric package a user wants based on
what's installed at the time.


Note You need to log in before you can comment on or make changes to this bug.